## rear 2.00+dfsg

=== debian/changelog ===
rear (2.00+dfsg-2) unstable; urgency=medium

  * d/control : move xmlto to Build-Depends, since it's needed for man
    generation and man is part of the "any" part of the rear package (Closes:
    #851209)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Fri, 13 Jan 2017 09:22:44 +0000

rear (2.00+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/control : use asciidoc-base instead of asciidoc and move it to
    Build-Depends (Closes: #849303)
  * d/watch : fix and take +dfsg into account correctly
  * d/control, d/changelog : fixed accents in my firstname

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Tue, 10 Jan 2017 15:12:34 +0100

rear (1.19+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #683422)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Tue, 13 Dec 2016 12:50:51 +0000
