=== debian/control ===
Source: rear
Section: admin
Priority: optional
Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends: asciidoc-base, debhelper (>= 9.0.0), xmlto
Build-Depends-Indep: source-highlight
Standards-Version: 3.9.8
Homepage: http://relax-and-recover.org/

Package: rear-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Bare metal disaster recovery and system migration framework (documentation)
 It is a modular framework with many ready-to-go workflows for common
 situations.  Relax-and-Recover produces a bootable image. This image can
 repartition the system. Once that is done it initiates a restore from backup.
 Restores to different hardware are possible. Relax-and-Recover can therefore be
 used as a migration tool as well.
 .
 This package contains the documentation of rear.

Package: rear
Architecture: amd64 i386 ia64 ppc64el
Depends: attr,
         binutils,
         dosfstools,
         ethtool,
         gawk,
         iproute,
         iputils-ping,
         isolinux,
         lsb-release,
         openssl,
         parted,
         syslinux[!ppc64el],
         xorriso,
         ${misc:Depends}
Recommends: nfs-client, portmap
Description: Bare metal disaster recovery and system migration framework
 It is a modular framework with many ready-to-go workflows for common
 situations.  Relax-and-Recover produces a bootable image. This image can
 repartition the system. Once that is done it initiates a restore from backup.
 Restores to different hardware are possible. Relax-and-Recover can therefore be
 used as a migration tool as well.
