## rear 2.2+dfsg

=== debian/changelog ===
rear (2.2+dfsg-2) unstable; urgency=medium

  * d/control : upgrade Standards-Version to 4.0.1
  * d/ : fix lintian debian-files-list-in-source
  * d/p/fix-reproducibility-issue.patch : use asciidoc -a footer-style=none

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Tue, 22 Aug 2017 09:22:37 +0000

rear (2.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #872031)
  * d/copyright : upstream simplified the licensing and moved to GPL-3+ almost
    everywhere. Copyright changed to stick to AUTHORS file.
  * d/control :
    - switch from iproute to iproute2 (Closes: #862849)
    - add Recommends on extlinux for USB backup (Closes: #872030)
    - add Depends on fdisk | util-linux (<< 2.29.2-3~) (Closes: #872104)
    - upgraded Standards-Version to 4.0.0
    - add Multi-Arch for rear binary package

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Wed, 16 Aug 2017 09:58:51 +0000
