=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
 Build-Depends: asciidoc-base, debhelper (>= 9.0.0), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://relax-and-recover.org/
 
 Package: rear-doc
@@ -23,12 +23,14 @@
 
 Package: rear
 Architecture: amd64 i386 ia64 ppc64el
+Multi-Arch: same
 Depends: attr,
          binutils,
          dosfstools,
          ethtool,
+         fdisk | util-linux (<< 2.29.2-3~),
          gawk,
-         iproute,
+         iproute2,
          iputils-ping,
          isolinux,
          lsb-release,
@@ -37,7 +39,7 @@
          syslinux[!ppc64el],
          xorriso,
          ${misc:Depends}
-Recommends: nfs-client, portmap
+Recommends: nfs-client, portmap, extlinux [amd64 i386]
 Description: Bare metal disaster recovery and system migration framework
  It is a modular framework with many ready-to-go workflows for common
  situations.  Relax-and-Recover produces a bootable image. This image can
