=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	# We want to rebuild man and it's not cleaned by make clean
	rm -f doc/rear.8

override_dh_auto_build-arch:
	dh_auto_build -Nrear-doc
	$(MAKE) man

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_install:
	gunzip debian/tmp/usr/share/rear/skel/Debian/default.tar.gz
	gzip -n debian/tmp/usr/share/rear/skel/Debian/default.tar
	dh_install --list-missing -X .gitignore
