=== debian/changelog ===
rear (2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3+dfsg
  * Drop all patches
  * Fix lintian error
  * Update maintainer mail
  * Update copyright information
  * Update dependencies.
    Thanks to Alban Vidal and Andreas Henriksson (Closes: #881978, #887216)
  * Remove .gitignore install exclusion
  * Follow upstream /etc/rear permissions
  * Fix configuration file permissions
  * Use https instead of http URL
  * Import example files properly
  * Add Vcs-Browser and Vcs-Git URLs

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 21 Feb 2018 10:09:24 +0100
