=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: rear
 Section: admin
 Priority: optional
-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
+Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: asciidoc-base, debhelper (>= 9.0.0), xmlto
 Build-Depends-Indep: source-highlight
 Standards-Version: 4.0.0
 Homepage: http://relax-and-recover.org/
+Vcs-Browser: https://salsa.debian.org/debian/rear
+Vcs-Git: https://salsa.debian.org/debian/rear.git
 
 Package: rear-doc
 Section: doc
@@ -25,8 +27,10 @@
 Architecture: amd64 i386 ia64 ppc64el
 Multi-Arch: same
 Depends: attr,
+         bc,
          binutils,
          dosfstools,
+         e2fsprogs,
          ethtool,
          fdisk | util-linux (<< 2.29.2-3~),
          gawk,
@@ -36,7 +40,8 @@
          lsb-release,
          openssl,
          parted,
-         syslinux[!ppc64el],
+         syslinux[amd64 i386],
+         syslinux-common,
          xorriso,
          ${misc:Depends}
 Recommends: nfs-client, portmap, extlinux [amd64 i386]
