## rear 2.4+dfsg

=== debian/changelog ===
rear (2.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4+dfsg
  * Move doc to comply with Debian Policy 3.9.7
  * Upgrade compat level
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 11 Jan 2019 17:02:12 +0100
