=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: asciidoc-base, debhelper (>= 9.0.0), xmlto
+Build-Depends: asciidoc-base, debhelper (>= 12~), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
 Homepage: http://relax-and-recover.org/
 Vcs-Browser: https://salsa.debian.org/debian/rear
 Vcs-Git: https://salsa.debian.org/debian/rear.git
