## rear 2.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	@echo -e "\033[1m== Validating scripts and configuration ==\033[0;0m"
 	find etc/ usr/share/rear/conf/ -name '*.conf' | xargs -n 1 bash -n
 	bash -n $(rearbin)
-	find . -name '*.sh' | xargs -n 1 bash -n
+	find . -name '*.sh' | xargs -n 1 bash -O extglob -O nullglob -n
 	find usr/share/rear -name '*.sh' | grep -v -E '(lib|skel|conf)' | while read FILE ; do \
 		num=$$(echo $${FILE##*/} | cut -c1-3); \
 		if [[ "$$num" = "000" || "$$num" = "999" ]] ; then \
@@ -177,6 +177,9 @@
 		-e 's#^%setup.*#%setup -q -n $(name)-$(distversion)#' \
 		build/$(name)-$(distversion)/$(specfile)
 	sed -i.orig \
+		-e 's#^Version:.*#Version: $(version)-$(debrelease)#' \
+		build/$(name)-$(distversion)/$(dscfile)
+	sed -i.orig \
 		-e 's#^readonly VERSION=.*#readonly VERSION=$(distversion)#' \
 		-e 's#^readonly RELEASE_DATE=.*#readonly RELEASE_DATE="$(release_date)"#' \
 		build/$(name)-$(distversion)/$(rearbin)
@@ -213,10 +216,10 @@
 	rm -rf $(BUILD_DIR)
 	mkdir -p $(BUILD_DIR)
 	cp packaging/arch/PKGBUILD.local $(BUILD_DIR)/PKGBUILD
-	cp $(name)-$(distversion).tar.gz $(BUILD_DIR)/
+	cp dist/$(name)-$(distversion).tar.gz $(BUILD_DIR)/
 	cd $(BUILD_DIR) ; sed -i -e 's/VERSION/$(date)/' \
 		-e 's/SOURCE/$(name)-$(distversion).tar.gz/' \
-		-e 's/MD5SUM/$(shell md5sum $(name)-$(distversion).tar.gz | cut -d' ' -f1)/' \
+		-e 's/MD5SUM/$(shell md5sum dist/$(name)-$(distversion).tar.gz | cut -d' ' -f1)/' \
 		PKGBUILD ; makepkg -c
 	cp $(BUILD_DIR)/*.pkg.* .
 	rm -rf $(BUILD_DIR)
@@ -237,7 +240,7 @@
 	-(cd $(BUILD_DIR)/$(obspackage) ; osc del *.tar.gz )
 	cp dist/$(name)-$(distversion).tar.gz $(BUILD_DIR)/$(obspackage)
 	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(specfile) >$(BUILD_DIR)/$(obspackage)/$(name).spec
-##	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(dscfile) >$(BUILD_DIR)/$(obspackage)/$(name).dsc
+	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/$(dscfile) >$(BUILD_DIR)/$(obspackage)/$(name).dsc
 	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/control >$(BUILD_DIR)/$(obspackage)/debian.control
 	tar -xOzf dist/$(name)-$(distversion).tar.gz -C $(BUILD_DIR)/$(obspackage) $(name)-$(distversion)/packaging/debian/rules >$(BUILD_DIR)/$(obspackage)/debian.rules
 	echo -e "rear ($(version)-$(debrelease)) stable; urgency=low\n\n  * new snapshot build\n\n -- openSUSE Build Service <obs@relax-and-recover.org>  $$(date -R)" >$(BUILD_DIR)/$(obspackage)/debian.changelog
