=== debian/changelog ===
rear (2.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add lintian overrides
  * Bump Standards-Version
  * Add needed deps for 950_check_missing_programs.sh
  * Handle ppc64el kernel naming

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 12 Aug 2019 13:40:13 +0200
