=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: asciidoc-base, debhelper (>= 12~), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://relax-and-recover.org/
 Vcs-Browser: https://salsa.debian.org/debian/rear
 Vcs-Git: https://salsa.debian.org/debian/rear.git
@@ -37,7 +37,9 @@
          iproute2,
          iputils-ping,
          isolinux,
+         kbd,
          lsb-release,
+         net-tools,
          openssl,
          parted,
          syslinux[amd64 i386],
