=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,filenamemangle=s/.+\/(\d\S*)\.tar\.gz/rear-$1\.tar\.gz/ \
  https://github.com/rear/rear/tags .*/(\d\S*)\.tar\.gz
