## rear 2.6%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,9 @@
 override_dh_install:
 	gunzip debian/tmp/usr/share/rear/skel/Debian/default.tar.gz
 	gzip -n debian/tmp/usr/share/rear/skel/Debian/default.tar
-	dh_install --list-missing -X .gitignore
+	rm -fr debian/tmp/usr/share/rear/conf/examples
+	dh_install
+
+override_dh_fixperms:
+	# Stick to install-config permissions
+	dh_fixperms --exclude debian/rear/etc/rear
