## rear 2.6+dfsg

=== debian/changelog ===
rear (2.6+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Frédéric Bonnard ]
  * New upstream version 2.6
  * Remove ppc64el kernel naming patch applied upstream
  * Use asciidoctor to build docs
  * Disable Web fonts used by the default stylesheet
  * Add Rules-Requires-Root field
  * Upgrade debhelper compatibility level

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 24 Aug 2020 16:18:35 +0200
