=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: asciidoc-base, debhelper (>= 12~), xmlto
+Build-Depends: asciidoctor, debhelper-compat (= 13), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 4.4.0
-Homepage: http://relax-and-recover.org/
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://relax-and-recover.org/
 Vcs-Browser: https://salsa.debian.org/debian/rear
 Vcs-Git: https://salsa.debian.org/debian/rear.git
