=== debian/changelog ===
rear (2.7+dfsg-1) unstable; urgency=medium

  * Update to new upstream version 2.7.
  * Update d/watch
  * Update d/copyright details
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 11 Jan 2023 15:33:42 +0100
