=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: asciidoctor, debhelper-compat (= 13), xmlto
 Build-Depends-Indep: source-highlight
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://relax-and-recover.org/
 Vcs-Browser: https://salsa.debian.org/debian/rear
